package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*类目和sku的对应关系
* @author quyixiao
* @since 2025-08-24
*/

@Data
@TableName("vv_category_property")
public class VvCategoryPropertyEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvCategoryPropertyEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                           // 
    public final static String is_delete = CLASS_NAME + "is_delete";                              // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                          // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                          // 修改时间
    public final static String category_id = CLASS_NAME + "category_id";                          // 类目id
    public final static String category_name = CLASS_NAME + "category_name";                      // 类目名称
    public final static String category_property_name = CLASS_NAME + "category_property_name";    // 属性名称
    public final static String default_sort = CLASS_NAME + "default_sort";                        // 排序
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //类目id
    private Long categoryId;
    //类目名称
    private String categoryName;
    //属性名称
    private String categoryPropertyName;
    //排序
    private Integer defaultSort;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 类目id 
     * @return
     */
    public Long getCategoryId() {
        return categoryId;
    }
    /**
     * 类目id 
     * @param categoryId
     */
    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    /**
     * 类目名称 
     * @return
     */
    public String getCategoryName() {
        return categoryName;
    }
    /**
     * 类目名称 
     * @param categoryName
     */
    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    /**
     * 属性名称 
     * @return
     */
    public String getCategoryPropertyName() {
        return categoryPropertyName;
    }
    /**
     * 属性名称 
     * @param categoryPropertyName
     */
    public void setCategoryPropertyName(String categoryPropertyName) {
        this.categoryPropertyName = categoryPropertyName;
    }

    /**
     * 排序 
     * @return
     */
    public Integer getDefaultSort() {
        return defaultSort;
    }
    /**
     * 排序 
     * @param defaultSort
     */
    public void setDefaultSort(Integer defaultSort) {
        this.defaultSort = defaultSort;
    }

    @Override
    public String toString() {
        return "VvCategoryPropertyEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",categoryId=" + categoryId +
                ",categoryName=" + categoryName +
                ",categoryPropertyName=" + categoryPropertyName +
                ",defaultSort=" + defaultSort +
                "}";
    }
}